PetBattleTeams = LibStub("AceAddon-3.0"):NewAddon("PetBattleTeams")

--handles addon stuff instansciates objects
function PetBattleTeams:OnInitialize()
	
	

end

function PetBattleTeams.Embed(self,other)
	for k,v in pairs(other) do
		assert(self[k] == nil,"Assert Failed: '"..tostring(k).."' Already exists")
		self[k] = v
	end
end	


StaticPopupDialogs["PBT_TEAM_DELETE"] = {
	text = "Are you sure you want to delete |cffffd200%s|r?",
	button1 = OKAY,
	button2 = CANCEL,
	OnAccept = function(self)
		local teamManager = PetBattleTeams:GetModule("TeamManager")
		teamManager:DeleteTeam(self.data)
	end,
	timeout = 0,
	exclusive = 1,
	hideOnEscape = 1,
}

StaticPopupDialogs["PBT_TEAM_RENAME"] = {
	text = "Enter a name for |cffffd200%s|r.",
	 hasEditBox = 1,
	button1 = OKAY,
	button2 = DEFAULT,
	OnShow = function(self)
		local teamManager = PetBattleTeams:GetModule("TeamManager")
		local _,_,customName = teamManager:GetTeamName(self.data)
		if customName then
			local text = _G[self:GetName().."EditBox"]:SetText(customName)
		end
	end,
	OnAccept = function(self)
		local text = _G[self:GetName().."EditBox"]:GetText()
		local teamManager = PetBattleTeams:GetModule("TeamManager")
		teamManager:SetTeamName(self.data,text)
	end,
	OnCancel = function(self)
		local teamManager = PetBattleTeams:GetModule("TeamManager")
		teamManager:SetTeamName(self.data,nil)
	end,
	timeout = 0,
	exclusive = 1,
	hideOnEscape = 1,
}